Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.idntable
Class EPPIdnTableMapFactory

    java.lang.Object
      com.verisign.epp.codec.gen.EPPMapFactory
          com.verisign.epp.codec.idntable.EPPIdnTableMapFactory

    public class EPPIdnTableMapFactory

extends EPPMapFactory

Factory for the IDN Table command and response objects.

Field Summary
`static java.lang.String` | `NS` XML Namespace
`static java.lang.String` | `NS_PREFIX` XML Namespace Prefix
`static java.lang.String` | `NS_SCHEMA` EPP IDN Map Extension XML Schema.

Fields inherited from class com.verisign.epp.codec.gen.EPPMapFactory
`EPP_CHECK, EPP_CREATE, EPP_DELETE, EPP_INFO, EPP_LOGIN, EPP_LOGOUT, EPP_RENEW, EPP_TRANSFER, EPP_UPDATE`

Constructor Summary
`EPPIdnTableMapFactory()` Default constructor for `EPPIdnMapExtFactory`.

Method Summary
`EPPCommand` | `createCommand(org.w3c.dom.Element aMapElement)` Creates a concrete `EPPCommand` from an XML element that represents an EPP command element.
`EPPResponse` | `createResponse(org.w3c.dom.Element aMapElement)` creates a concrete `EPPResponse` from the passed in XML Element tree.
`EPPService` | `getService()` Gets the service information associated with the concrete `EPPExtFactory`.
`java.util.Set` | `getXmlSchemas()` Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

  XML Namespace

  See Also:
    Constant Field Values

### NS_PREFIX

    public static final java.lang.String NS_PREFIX

  XML Namespace Prefix

  See Also:
    Constant Field Values

### NS_SCHEMA

    public static final java.lang.String NS_SCHEMA

  EPP IDN Map Extension XML Schema.

  See Also:
    Constant Field Values

Constructor Detail

### EPPIdnTableMapFactory

    public EPPIdnTableMapFactory()

  Default constructor for `EPPIdnMapExtFactory`.

Method Detail

### createCommand

    public EPPCommand createCommand(org.w3c.dom.Element aMapElement)
                             throws EPPCodecException

  Creates a concrete `EPPCommand` from an XML element that represents an EPP command element.

  Specified by:
    `createCommand` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - Command XML element.
  Returns:
    Concrete `EPPCommand` associated with the Command XML element.
  Throws:
    `EPPCodecException` - Error creating the concrete `EPPCommand`

### createResponse

    public EPPResponse createResponse(org.w3c.dom.Element aMapElement)
                               throws EPPCodecException

  creates a concrete `EPPResponse` from the passed in XML Element tree. `aMapElement` must be the root node for the response extension.

  Specified by:
    `createResponse` in class `EPPMapFactory`
  Parameters:
    `aMapElement` - Mapping Extension EPP XML Element.
  Returns:
    Concrete `EPPResponse` instance associated with `aMapElement`.
  Throws:
    `EPPCodecException` - Error creating concrete `EPPResponse`

### getService

    public EPPService getService()

  Gets the service information associated with the concrete `EPPExtFactory`. The service information is used by `EPPFactory` for extracting the XML namespace associated with the extension factory.

  Specified by:
    `getService` in class `EPPMapFactory`
  Returns:
    service description associated with the concrete `EPPExtFactory`.

### getXmlSchemas

    public java.util.Set getXmlSchemas()

  Gets the list of XML schemas that need to be pre-loaded into the XML Parser.

  Overrides:
    `getXmlSchemas` in class `EPPMapFactory`
  Returns:
    `Set` of `String` XML Schema names that should be pre-loaded in the XML Parser.
  See Also:
    `EPPMapFactory.getXmlSchemas()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.